@import "pref";

nevis-btn-user,
nevis-btn-user-not-authenticated,
nevis-btn-user-logged-in {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: stretch;
}

.nevis-btn-user {
  border: none;

  @include fonts($font-size-x3, $font-size-x3, $font-weight-normal, normal, $color-indigo-approx);

  user-select: none;
  transition: all 0.12s ease;

  &:hover,
  &:focus {
    .nevis-btn-user__pic {
      fill: $color-mine-shaft;
    }
    .nevis-btn-user__text {
      color: $color-mine-shaft;
    }
  }

  &[disabled] {
    opacity: 0.6;
  }

  &.nevis-btn-user--not-authenticated {
    padding: 0 4px 0 9px;

    &.mat-button {
      display: flex;
      flex-direction: row;
      justify-content: flex-start;
      align-items: center;

      .mat-button-wrapper {
        line-height: 0;

        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
      }
    }

    .nevis-btn-user__text {
      word-spacing: -1.3px;
    }

    .nevis-btn-user__pic-wrap {
      margin-left: 1px;
    }
  }

  &.nevis-btn-user--logged-in {
    padding-top: 6px;

    cursor: pointer;
    outline-width: 0;
  }

  &.mat-button {
    border-radius: 0;
  }
}

.nevis-btn-user__pic {
  max-width: 100%;
  width: $logo-height;
  height: $logo-height;

  fill: $color-indigo-approx;
}

.nevis-btn-user__nav-list {

  span.mat-button-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
  }
}
